API ReferenceRecipients

Validate Recipient's Details

POST
/v2/recipients/validate

This API call validates recipient's details.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

accountNumber?string

Client account number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

This is a composite request. It is used when you need to create a recipient.

Response Body

application/json

curl -X POST "https://example.com/v2/recipients/validate" \  -H "Content-Type: application/json" \  -d '{    "entity": {      "type": "Company"    },    "payoutMethod": {      "type": "BankAccount"    },    "clientReference": "string"  }'
Empty
{  "errors": [    {      "errors": [        "string"      ],      "fieldErrors": [        {          "code": "string",          "message": "string"        }      ],      "fieldName": "string"    }  ],  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Empty
Get help